Bug 155301 - Update devel/cross-gcc, cross-binutils, cross-gdb
Summary: Update devel/cross-gcc, cross-binutils, cross-gdb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stanislav Sedov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-06 06:30 UTC by arai.toshihiko
Modified: 2011-04-05 09:09 UTC (History)
0 users

See Also:


Attachments
file.diff (18.97 KB, patch)
2011-03-06 06:30 UTC, arai.toshihiko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description arai.toshihiko 2011-03-06 06:30:11 UTC
devel/cross-gcc
 gcc: 4.4.2 -> 4.5.2
 newlib: 1.17.0 -> 1.19.0
 rtems patch:
   gcc-core-4.5.2-rtems4.11-20110220.diff
   newlib-1.19.0-rtems4.11-20110109.diff

devel/cross-binutils
 binutils: 2.20 -> 2.21
 rtems patch: binutils-2.21-rtems4.11-20110107.diff

devel/cross-gdb
 gdb: 7.1 -> 7.2
 rtems patch: gdb-7.2-rtems4.11-20100907.diff

remove "WITH_RTEMS_PATCHES=yes" line in the Makefile as slave ports.
but, not tested.

Fix: cd ports/devel
patch < patchfile
rm cross-gcc/files/patch-configure


Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-03-06 06:30:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 arai.toshihiko 2011-03-09 11:46:12 UTC
I added to cross-gcc/files/patch-Makefile.in

--- Makefile.in.orig	2010-06-11 02:05:59.000000000 +0900
+++ Makefile.in	2011-03-06 22:20:06.000000000 +0900
@@ -295,6 +295,7 @@

 NORMAL_TARGET_EXPORTS = \
 	$(BASE_TARGET_EXPORTS) \
+	CPP="$(CC_FOR_TARGET) $(XGCC_FLAGS_FOR_TARGET) -E"; export CPP; \
 	CXX="$(CXX_FOR_TARGET) $(XGCC_FLAGS_FOR_TARGET) $$TFLAGS"; export CXX;

 # Where to find GMP
--
ARAI Toshihiko
Comment 3 dfilter service freebsd_committer 2011-04-03 02:03:10 UTC
stas        2011-04-03 01:03:01 UTC

  FreeBSD ports repository

  Modified files:
    devel/cross-binutils Makefile distinfo 
    devel/cross-gcc      Makefile distinfo 
    devel/cross-gdb      Makefile distinfo 
  Log:
  - Update cross-binutils to 2.21.
  - Update cross-gcc to 4.5.2.
  - Update cross-gdb to 7.2
  - Update corresponding rtems patches.
  
  PR:             ports/155301 (based on)
  Submitted by:   ARAI Toshihiko <arai.toshihiko@gmail.com>
  
  Revision  Changes    Path
  1.17      +8 -5      ports/devel/cross-binutils/Makefile
  1.6       +4 -3      ports/devel/cross-binutils/distinfo
  1.18      +16 -9     ports/devel/cross-gcc/Makefile
  1.6       +8 -12     ports/devel/cross-gcc/distinfo
  1.10      +5 -4      ports/devel/cross-gdb/Makefile
  1.7       +4 -6      ports/devel/cross-gdb/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Stanislav Sedov freebsd_committer 2011-04-05 09:09:23 UTC
State Changed
From-To: open->closed

Committed!  I choosed to keep RTEMS knob for now as someone migh want to 
use RTEMS patches for non-RTEMS ABIs.